Assign all test cases of test plan to user
POST
/testplans/assignAllAssign all test cases of test plan to user
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlansAssignmentApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlansAssignmentApi(config);
const result = await api.assignAll({ "testPlanAssignmentAllPayload": { "project": 123, "user": 123, "testplan": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/testplans/assignAll?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "project": 123, "user": 123, "testplan": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
project |
integer | Yes | — |
user |
integer | Yes | — |
testplan |
integer | Yes | — |
Response
Section titled “Response”200 — Assignment result
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |